#include "deftype.h"

int kstrchar(unchar *str,unint c)
/* strの中から指定文字（全角文字可）を捜しその位置を返す */
{
unint i=0,cc;
	while ((cc=*str++)!=0) {
		if (check_kanji1(cc)) {cc=(cc<<8)|*str++;}
		if (cc==c) return(i);
		i++; if (cc>=256) i++;
	}
	return(-1);
}
